import React from 'react';
import { HashLink } from 'react-router-hash-link';
import { createComponent } from '@cloudflare/style-container';
import { Icon } from '@cloudflare/component-icon';

var copyHeadingHashLink = function copyHeadingHashLink() {
  var copyInput = document.createElement('input');
  copyInput.style.position = 'absolute';
  copyInput.style.top = '0';
  copyInput.style.left = '-1000px';
  copyInput.value = window.location.href;
  document.body.appendChild(copyInput); // select the text inside the input box in order to copy

  copyInput.select();
  document.execCommand('copy');
  copyInput.remove();
};

export var scrollToHeading = function scrollToHeading(el) {
  copyHeadingHashLink();
  el.scrollIntoView({
    behavior: 'smooth'
  });
};
var HashLinkWrapper = createComponent(() => ({
  '& > a': {
    position: 'absolute',
    left: '-20px',
    height: '100%',
    paddingRight: '5px',
    alignItems: 'center',
    display: 'none'
  }
}));

var HeadingLink = _ref => {
  var {
    linkId,
    linkPath
  } = _ref;
  return /*#__PURE__*/React.createElement(HashLinkWrapper, null, /*#__PURE__*/React.createElement(HashLink, {
    to: "".concat(linkPath, "#").concat(linkId),
    scroll: scrollToHeading
  }, /*#__PURE__*/React.createElement(Icon, {
    type: "link",
    ariaLabel: "link"
  })));
};

export default HeadingLink;