"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.scrollToHeading = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRouterHashLink = require("react-router-hash-link");

var _styleContainer = require("@cloudflare/style-container");

var _componentIcon = require("@cloudflare/component-icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var copyHeadingHashLink = function copyHeadingHashLink() {
  var copyInput = document.createElement('input');
  copyInput.style.position = 'absolute';
  copyInput.style.top = '0';
  copyInput.style.left = '-1000px';
  copyInput.value = window.location.href;
  document.body.appendChild(copyInput); // select the text inside the input box in order to copy

  copyInput.select();
  document.execCommand('copy');
  copyInput.remove();
};

var scrollToHeading = function scrollToHeading(el) {
  copyHeadingHashLink();
  el.scrollIntoView({
    behavior: 'smooth'
  });
};

exports.scrollToHeading = scrollToHeading;
var HashLinkWrapper = (0, _styleContainer.createComponent)(function () {
  return {
    '& > a': {
      position: 'absolute',
      left: '-20px',
      height: '100%',
      paddingRight: '5px',
      alignItems: 'center',
      display: 'none'
    }
  };
});

var HeadingLink = function HeadingLink(_ref) {
  var linkId = _ref.linkId,
      linkPath = _ref.linkPath;
  return /*#__PURE__*/_react.default.createElement(HashLinkWrapper, null, /*#__PURE__*/_react.default.createElement(_reactRouterHashLink.HashLink, {
    to: "".concat(linkPath, "#").concat(linkId),
    scroll: scrollToHeading
  }, /*#__PURE__*/_react.default.createElement(_componentIcon.Icon, {
    type: "link",
    ariaLabel: "link"
  })));
};

var _default = HeadingLink;
exports.default = _default;